0
$\begingroup$

Rosanswers logo

Hello,

I'm using Ubuntu 18.04 for implementing robot(franka emika panda) with custom controller. I was away for a week, but the controller I used was not running well, so I checked the problem.

Compared to other working computers, it seems that there was a problem with the update of "franka-ros" to the latest version. So, I tried to install the previous version(0.7.1-1bionic.20210304.174422) of franka-ros with following command

  • sudo apt install ros-melodic-franka-ros=0.7.1-1bionic.20210304.174422

Then, the results is as follows.

  • E: Unable to locate package ros-melodic-frank-ros-0.7.1-1bionic.20210304.174422

I already added 'http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main' in '/etc/apt/sources.list.d/ros-latest.list'. by following commands

  • sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main" > /etc/apt/sources.list.d/ros-latest.list'

  • sudo apt-key adv --keyserver 'hkp://keyserver.ubuntu.com:80' --recv-key C1CF6E31E6BADE8868B172B4F42ED6FBAB17C654

  • sudo apt update

I was wondering if there was a way to install an older version of "ros-melodic-franka-ros"

Thanks


Originally posted by injeyi on ROS Answers with karma: 1 on 2022-03-25

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

You'd have to build it from source, in your workspace. The ROS package repositories do not retain older versions of released packages. That's a limitation of the apt repository backend.


Originally posted by gvdhoorn with karma: 86574 on 2022-03-27

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by injeyi on 2022-03-27:
Thank you for help, I solved it through "https://frankaemika.github.io/docs/installation_linux" as you said Actually, I did it before, but I missed to change command 'kinetic' to 'melodic'

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.